// Sweep
// by BARRAGAN <http://barraganstudio.com> 

// http://arduiniana.org/libraries/pwmservo/

//   Board                     SERVO_PIN_A   SERVO_PIN_B   SERVO_PIN_C
//   -----                     -----------   -----------   -----------
//   Arduino Uno, Duemilanove       9            10          (none)
//   Arduino Mega                  11            12            13
//   Sanguino                      13            12          (none)
//   Teensy 1.0                    17            18            15
//   Teensy 2.0                    14            15             4
//   Teensy++ 1.0 or 2.0           25            26            27

#include <PWMServo.h> 
 
PWMServo myservoA, myservoB;  // create servo object to control a servo 
                // a maximum of eight servo objects can be created 
 
int pos = 0;    // variable to store the servo position 
 
void setup() 
{ 
  myservoA.attach(SERVO_PIN_A);  // attaches the servo on pin 9 to the servo object 
  myservoB.attach(SERVO_PIN_B);
} 
 
 
void loop() 
{ 
  for(pos = 0; pos < 180; pos += 1)  // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    myservoA.write(pos);              // tell servo to go to position in variable 'pos' 
    myservoB.write(pos);
    delay(5);                       // waits 15ms for the servo to reach the position 
    
  } 
  for(pos = 180; pos>=1; pos-=1)     // goes from 180 degrees to 0 degrees 
  {                                
    myservoA.write(pos);              // tell servo to go to position in variable 'pos' 
    myservoB.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(5);                       // waits 15ms for the servo to reach the position 
  } 
} 
